> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk save accounts

> Save multiple accounts in bulk.



## OpenAPI

````yaml post /v1/finance/accounts/bulk
openapi: 3.0.0
info:
  title: Finance Accounts API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/finance/accounts/bulk:
    post:
      tags:
        - Finance / Accounts
      summary: Bulk save accounts
      description: Save multiple accounts in bulk.
      operationId: saveAccounts
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/AccountPayload'
      responses:
        '200':
          description: Accounts saved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  ids:
                    type: array
                    items:
                      type: string
components:
  schemas:
    AccountPayload:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        balance:
          type: number
        currency:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````